#!/usr/bin/env bash

pod_name='podman-matrix'
service_name="pod-${pod_name}.service"
#upstream_images="docker.io/matrixdotorg/synapse docker.io/library/postgres"
#version='latest'
synapse_image="docker.io/matrixdotorg/synapse"
synapse_version='v1.49.2'
postgres_image="docker.io/library/postgres"
postgres_version='11.14'
confvolume='matrixdotorg_synapse-data'
dbvolume='matrixdotorg_synapse-pgsql'
container_name='synapse'
db_container_name='synapse-db'
listen_if='127.0.0.1'
GARBAYE_MATRIX_DOMAIN="${GARBAYE_MATRIX_DOMAIN:-garbaye.fr}"
GARBAYE_MATRIX_URL="${GARBAYE_MATRIX_URL:-https://matrix.garbaye.fr}"
envvars='GARBAYE_MATRIX_POSTGRES_PASSWORD GARBAYE_MATRIX_DOMAIN GARBAYE_MATRIX_URL'
