#!/usr/bin/env bash

ABSDIR="$( dirname "$(readlink -f -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

echo "Podman images status..."
podman images ${upstream_image}
echo
echo "Checking container status..."
podman ps -a | grep ${container_name}
echo
echo "Checking systemd unit status..."
systemctl --user status ${service_name}
