#!/usr/bin/env bash

ABSDIR="$( dirname "$(readlink -f -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

ensure_container_exists ${container_name}

ensure_systemd_as_user_dir_exists

podman generate systemd --name ${container_name} > ${HOME}/.config/systemd/user/${service_name}
podman stop ${container_name}
systemctl --user enable ${service_name}
