#!/usr/bin/env bash

pod_name='podman-seafile'
service_name="pod-${pod_name}.service"
seafile_release='8.0.8'
dbvolume='podman-seafile_seafile-db'
datavolume='podman-seafile_seafile-data'
get_default_iface_ipv4 GARBAYE_SEAFILE_SMTP_SERVER
GARBAYE_SEAFILE_SERVER_HOSTNAME="${GARBAYE_SEAFILE_ENV_SERVER_HOSTNAME:-seafile.garbaye.fr}"
GARBAYE_SEAFILE_ADMIN_PASSWORD="${GARBAYE_SEAFILE_ENV_ADMIN_PASSWORD:-asecret}"
GARBAYE_SEAFILE_ADMIN_EMAIL="${GARBAYE_SEAFILE_ENV_ADMIN_EMAIL:-laposte-seafile@garbaye.fr}"
envvars='GARBAYE_SEAFILE_MYSQL_ROOT_PASSWORD'
upstream_images="docker.io/seafileltd/seafile-mc docker.io/library/mariadb docker.io/library/memcached"
