#!/usr/bin/env bash

ABSDIR="$( dirname "$(readlink -f -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

ensure_pod_exists ${pod_name}

ensure_systemd_as_user_dir_exists

# pod must be running and not managed by systemd
podman generate systemd --files --name ${pod_name}
mv *.service ~/.config/systemd/user/

podman pod stop ${pod_name}
systemctl --user enable ${service_name}
